#!/bin/bash

cmdname=`basename $0`
dirname=`dirname $0`
cd ${dirname}
cmd_dir=`pwd`
pkg_dir="$cmd_dir/pkgs"

ltib_dir="/home/iMX6/ltib"
fslpkgs_dir="$ltib_dir/pkgs"

PKG_FILES="
gtkhtml-3.24.2-1278389569.patch
m4-1.4.16-1383761043.patch
xorg-server-1.6.1-1398785267.patch"

# check ltib_dir
if [ ! -d $ltib_dir ]; then
	echo "$ltib_dir not found"
	exit -1
fi

# check fslpkgs_dir
if [ ! -d $fslpkgs_dir ]; then
	echo "$fslpkgs_dir not found"
	exit -1
fi

# create symbolic links for openssl error
if [ ! -e /usr/include/sys ]; then
	sudo ln -s /usr/include/i386-linux-gnu/sys /usr/include/sys
fi

# copy the pkgs
cd $pkg_dir
for file in $PKG_FILES
do
	chmod 775 $file
	cp -fv $file $fslpkgs_dir

	md5sum $file > $file.md5
	chmod 775 $file.md5
	cp -fv $file.md5 $fslpkgs_dir
done

# patch the bin files
echo "### patching bin ###"
cd $ltib_dir
patch -p0 -i $pkg_dir/ltib_bin.patch

# patch the spec files
echo "### patching dist ###"
cd $ltib_dir
patch -p0 -i $pkg_dir/ltib_dist.patch

echo "done"

exit 0
