#!/bin/bash

cmdname=`basename $0`
dirname=`dirname $0`
cd ${dirname}
cmd_dir=`pwd`

ltib_dir="/home/iMX6/ltib"
fslpkgs_dir="$ltib_dir/pkgs"

pkg411="L3.0.101_4.1.1_141016_source"
codec411="IMX_MMCODEC_3.0.101_4.1.1_Bundle"

pkg411_dir="$cmd_dir/$pkg411"

PKG_FILES="
firmware-imx-3.0.101-4.1.1.tar.gz
imx-vpu-lib-3.0.101-4.1.1.tar.gz
libfslcodec-3.0.11.tar.gz
libfslparser-3.0.11.tar.gz
libfslvpuwrap-1.0.46.tar.gz
gst-fsl-plugins-3.0.11.tar.gz
gst-fsl-plugins-3.0.11-configure.patch
glib2-2.12.1-atomic.patch
gpu-viv-bin-mx6q-3.0.101-4.1.1.tar.gz
gpu-viv-bin-mx6s-3.0.101-4.1.1.tar.gz
gpu-viv-wl-bin-mx6q-3.0.101-4.1.1.tar.gz
gpu-viv-wl-bin-mx6s-3.0.101-4.1.1.tar.gz
linux-3.0.101.tar.bz2
linux-3.0.101-imx_4.1.1.bz2
u-boot-v2009.08-imx_3.0.101_4.1.1.tar.bz2"

# check ltib_dir
if [ ! -d $ltib_dir ]; then
	echo "$ltib_dir not found"
	exit -1
fi

# check fslpkgs_dir
if [ ! -d $fslpkgs_dir ]; then
	echo "$fslpkgs_dir not found"
	exit -1
fi

# check the pkgs
if [ ! -e $cmd_dir/$pkg411.tar.gz ]; then
	echo "$pkg411.tar.gz not found"
	exit -1
fi
if [ ! -e $cmd_dir/$codec411.tar.gz ]; then
	echo "$codec411.tar.gz not found"
	exit -1
fi

# extract the pkgs
tar zxvf $cmd_dir/$pkg411.tar.gz -C $cmd_dir
tar zxvf $cmd_dir/$codec411.tar.gz -C $pkg411_dir

# copy the pkgs
cd $pkg411_dir
for file in $PKG_FILES
do
	chmod 775 $file
	cp -fv $file $fslpkgs_dir

	md5sum $file > $file.md5
	chmod 775 $file.md5
	cp -fv $file.md5 $fslpkgs_dir
done

# patch the config files
echo "### patching config ###"
cd $ltib_dir/config/platform/imx
patch -p1 -i $pkg411_dir/ltib_config_platform_imx.patch

# patch the spec files
echo "### patching dist ###"
cd $ltib_dir/dist
patch -p1 -i $pkg411_dir/ltib_dist_lfs-5.1.patch

#rm -fr $pkg411_dir

echo "done"

exit 0
